# Class WeakenMoveTypeTag

#### Hierarchy (view full)

- ArenaTag
  - WeakenMoveTypeTag

- Defined in src/data/arena-tag.ts:311

#####
Index

### Constructors

constructor

### Properties

side
sourceId
sourceMove
tagType
turnCount
weakenedType

### Methods

apply
getMoveName
lapse
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new WeakenMoveTypeTag(tagType, turnCount, type, sourceMove, sourceId): WeakenMoveTypeTag

- #### Parameters

  - tagType: ArenaTagType
  - turnCount: number
  - type: Type
  - sourceMove: Moves
  - sourceId: number

  #### Returns WeakenMoveTypeTag

  Overrides ArenaTag.constructor

  - Defined in src/data/arena-tag.ts:314

## Properties

### side

side: ArenaTagSide

Inherited from ArenaTag.side

- Defined in src/data/arena-tag.ts:30

### sourceId

sourceId: number

Inherited from ArenaTag.sourceId

- Defined in src/data/arena-tag.ts:29

### sourceMove

sourceMove: Moves

Inherited from ArenaTag.sourceMove

- Defined in src/data/arena-tag.ts:28

### tagType

tagType: ArenaTagType

Inherited from ArenaTag.tagType

- Defined in src/data/arena-tag.ts:26

### turnCount

turnCount: number

Inherited from ArenaTag.turnCount

- Defined in src/data/arena-tag.ts:27

### `Private` weakenedType

weakenedType: Type

- Defined in src/data/arena-tag.ts:312

## Methods

### apply

- apply(arena, args): boolean

- #### Parameters

  - arena: Arena
  - args: any[]

  #### Returns boolean

  Overrides ArenaTag.apply

  - Defined in src/data/arena-tag.ts:320

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from ArenaTag.getMoveName

  - Defined in src/data/arena-tag.ts:59

### lapse

- lapse(arena): boolean

- #### Parameters

  - arena: Arena

  #### Returns boolean

  Inherited from ArenaTag.lapse

  - Defined in src/data/arena-tag.ts:55

### onAdd

- onAdd(arena, quiet?): void

- #### Parameters

  - arena: Arena
  - quiet: boolean = false

  #### Returns void

  Inherited from ArenaTag.onAdd

  - Defined in src/data/arena-tag.ts:45

### onOverlap

- onOverlap(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Inherited from ArenaTag.onOverlap

  - Defined in src/data/arena-tag.ts:53

### onRemove

- onRemove(arena, quiet?): void

- #### Parameters

  - arena: Arena
  - quiet: boolean = false

  #### Returns void

  Inherited from ArenaTag.onRemove

  - Defined in src/data/arena-tag.ts:47